Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.management.oss.pm.measurement
Interface ReportMode

public interface ReportMode

Defines enumeration values for report mode.

The report mode for the measurement results can be done in four different ways. The following report modes exists:

- event per measurement job.
- event for multiple measurement jobs.
- report file per measurement job.
- report file for multiple measurement jobs.

The report mode can be divided into two major categories: by event and by file. If the reporting mode is set to event the system will emit an event that carries the measurement result report. If the reporting mode is set to file, the measurement job will capture the measurement result reports into a data storage and then emit an event to the client about the availability of the data. The frequency of this event is determined by the data storage creation frequency. When a client receives an event of data availability, the client can retrieve the data, by using the URL to connect to the system.

Version:
  0.9, 2001-10-25
Author:
  Stefan Aberg
See Also:
  `PerformanceMonitorValue`

Field Summary
`static int` | `EVENT_MULTIPLE` Constant for report mode of event for multiple measurement jobs.
`static int` | `EVENT_SINGLE` Constant for report mode of event per measurement job.
`static int` | `FILE_MULTIPLE` Constant for report mode of report file for multiple measurement jobs.
`static int` | `FILE_SINGLE` Constant for report mode of report file per measurement job.
`static int` | `NO_REPORT_MODE` Constant for no report mode defined.

Field Detail

### NO_REPORT_MODE

    public static final int NO_REPORT_MODE

  Constant for no report mode defined.

  See Also:
    Constant Field Values

### EVENT_SINGLE

    public static final int EVENT_SINGLE

  Constant for report mode of event per measurement job.

  See Also:
    Constant Field Values

### EVENT_MULTIPLE

    public static final int EVENT_MULTIPLE

  Constant for report mode of event for multiple measurement jobs.

  See Also:
    Constant Field Values

### FILE_SINGLE

    public static final int FILE_SINGLE

  Constant for report mode of report file per measurement job.

  See Also:
    Constant Field Values

### FILE_MULTIPLE

    public static final int FILE_MULTIPLE

  Constant for report mode of report file for multiple measurement jobs.

  See Also:
    Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD